Get Webhook
curl --request GET \
--url https://api.example.com/webhooks/{id}import requests
url = "https://api.example.com/webhooks/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"url": "<string>",
"status": true,
"events": [
{}
],
"created_at": "<string>"
}Webhooks
Get Webhook
Get webhook details
Get Webhook
Description
Get detailed information about a specific webhook.Parameters
string
required
Unique webhook ID.
Response
string
Unique webhook ID.
string
Configured URL.
boolean
If webhook is active.
array
List of events this webhook receives.
string
ISO 8601 creation timestamp.
Examples
curl "https://api.usesendly.app/v1/webhooks/webhook_123" \
-H "Authorization: Bearer se_your_api_key"
const webhook = await client.webhooks.get('webhook_123')
console.log(`URL: ${webhook.url}`)
console.log(`Events: ${webhook.events.length}`)
import { Sendly } from '@sendlyapp/sdk'
const client = new Sendly()
const webhook = await client.webhooks.get('webhook_123')
Need help? Contact support@usesendly.app